#Query refund order
#Request path
/api/v2/payment/merchant/order/queryStatus#Request parameter
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | No | Unique Order No of the merchant, which can be used to query the order. If there is no orderId, you can send the orderNo. |
| orderNo | String | 32 | No | Unique Order No of PalmPay, which can be used to query the order. If there is no orderNo, you can send the orderId. |
#Returned value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | yes | Merchant unique order number |
| orderNo | String | 32 | yes | PalmPay platform order number |
| orderStatus | Integer | 20 | yes | Refund order status |
| message | String | 50 | no | Status Description information |
| currency | String | 10 | yes | Currency |
| amount | Long | - | no | Order amount(min unit) |
| sessionId | String | 128 | No | Channel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee. |
| remark | String | 200 | no | Note information |
| errorMsg | String | 200 | no | Error information |
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/order/queryStatus' \
--header 'Accept: application/json, text/plain, */*' \
--header 'countryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime": 1662171389940,
"version": "V1.1",
"nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"orderId": "testc9ffae997fc1",
"orderNo": "2424220903032435363613"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderId": "testc9ffae997fc1",
"orderNo": "2424220903032435363613",
"orderStatus": 1,
"message": "success",
"currency": "NGN",
"amount": 5000
}
}